### Hierarchy

- FormattedString
  - Markdown

## Index

### Constructors

- constructor

### Properties

- text

### Methods

- applyTo
- toHtmlString
- toString
- from

## Constructors

### constructor

- new Markdown(text: string): Markdown

- Inherited from FormattedString.constructor

  - Defined in src/core/FormattedString.ts:3

  #### Parameters

  - ##### text: string

  #### Returns Markdown

## Properties

### text

text: string

Inherited from FormattedString.text

- Defined in src/core/FormattedString.ts:5

## Methods

### applyTo

- applyTo(app: App, element: any): void

- Overrides FormattedString.applyTo

  - Defined in src/core/Markdown.ts:11

  #### Parameters

  - ##### app: App

  - ##### element: any

  #### Returns void

### toHtmlString

- toHtmlString(app?: App): string

- Overrides FormattedString.toHtmlString

  - Defined in src/core/Markdown.ts:19

  #### Parameters

  - ##### Optional app: App

  #### Returns string

### toString

- toString(): string

- - Defined in src/core/Markdown.ts:15

  #### Returns string

### Static from

- from(text: string): Markdown

- - Defined in src/core/Markdown.ts:7

  #### Parameters

  - ##### text: string

  #### Returns Markdown

Generated using TypeDoc